PDA

View Full Version : Ext.require for non-Ext classes



prashantjain68
10 Dec 2013, 11:25 AM
Hi,
I have non-Ext classes defined as below ...

in the StringUtil.js file
NS.StringUtil = {
...
}

I want to do a Ext.require on this but for some reason, my screen shows blank and the app loading fails.

Any idea why and what I can do to solve this problem.

Prashant

Fredric Berling
10 Dec 2013, 11:34 AM
Ext.require only works for Ext classes i'm afraid.

Are you building your app with Sencha Cmd?

prashantjain68
10 Dec 2013, 11:49 AM
We are currently not building the project, but the efforts are on to write the build script. But I am noticing weird things ...- Ext.require does load some of my non-Ext classes.- Then there are some classes which break Ext.require and the application stops loading after that. I will and repro this.